local _,class = UnitClass("player")

if class ~= "MAGE" then return end

local colors = SPTimers.CustomColors

local ALL = "ALL"

--[[
	1 = Arcane
	2 = Fire
	3 = Frost
	
	spec = ALL,
]]

local spells = {

	[118]   = { spec = ALL,duration = 50, color = colors.LGREEN, pvpduration = 8, cleu = true },
	[61305] = { spec = ALL,duration = 50, color = colors.LGREEN, pvpduration = 8, cleu = true },
	[28271] = { spec = ALL,duration = 50, color = colors.LGREEN, pvpduration = 8, cleu = true },
	[28272] = { spec = ALL,duration = 50, color = colors.LGREEN, pvpduration = 8, cleu = true },
	[61721] = { spec = ALL,duration = 50, color = colors.LGREEN, pvpduration = 8, cleu = true },
	[61780] = { spec = ALL,duration = 50, color = colors.LGREEN, pvpduration = 8, cleu = true },
	
	[12042] = { spec = "1",duration = 15, color = colors.PINK }, 
	[36032] = { spec = "1",duration = 10, color = colors.CURSE },
	[79683] = { spec = "1",duration = 20, color = colors.WOO },
	[31589] = { spec = "1",cleu = true, duration = 15, pvpduration = 8 },
--	[55021] = { cleu = true, duration = 4, color = colors.PINK },
	
	[48108] = { spec = "2",duration = 10, color = colors.CURSE, group = "procs" },
--	[11113] = { color = colors.CHILL, duration = 3, cleu = true }, -- ?????
	[31661] = { spec = "2",duration = 5, color = colors.ORANGE, cleu = true },
	
	[2120]  = { spec = "2",duration = 8, haste = true, tick = 2, color = colors.ORANGE, cleu = true, group = "player", whitelist_cleu = 5, blacklist_cleu = 3, blacklist = 3 },
	
	[12472] = { spec = "3",duration = 20 },
	[82691] = { spec = ALL,color = colors.FROZEN, cleu = true, duration = 12, pvpduration = 8 },
	[122]   = { spec = ALL,duration = 8, color = colors.FROZEN, cleu = true },
	[33395] = { spec = "3",duration = 8, color = colors.FROZEN, cleu = true },
	[44544] = { spec = "3",duration = 15, color = colors.FROZEN },
	[57761] = { spec = "3",duration = 15, color = colors.LRED },
	[45438] = { spec = ALL,duration = 10 },
	[44572] = { spec = "3",cleu = true, duration = 5 },
	[120]   = { spec = "3", duration = 8, color = colors.CHILL, cleu = true },
	[12043] = { spec = "1",duration = 1, color = colors.CURSE },
	[11426] = { spec = ALL,duration = 60, color = colors.LGREEN },
	[115610] = { spec = ALL,duration = 4, color = colors.LGREEN },
	[102051] = { spec = ALL,duration = 8, pvpduration = 4,  color = colors.PINK, cleu = true },
	[32612] =  { spec = ALL,duration = 20 },
	[110960] = { spec = ALL,duration = 20, color = colors.CURSE },
--	[116257] = { duration = 60, color = colors.DPURPLE },
	[116014] = { spec = ALL,duration = 1, color = colors.DPURPLE },
	[112948] = { spec = ALL,duration = 4,  haste = true, tick = 4, color = colors.CURSE, cleu = true },
	[114923] = { spec = ALL,custom_text = "%tN", duration = 12, haste = true, tick = 1, color = colors.PURPLE, cleu = true },
	[44457]  = { spec = ALL,custom_text = "%tN", duration = 12, haste = true, tick = 3, color = colors.RED, cleu = true, pandemia = true },
	[11366]  = { spec = "2",duration = 18, haste = true, tick = 3, color = colors.RED, cleu = true, pandemia = true },
	[12654]  = { spec = "2",duration = 4,  tick = 2, color = colors.RED },
	[83853]  = { spec = "2",duration = 10, haste = true, tick = 1, color = colors.RED },

}


local GetSpell = SPTimers.GetSpell

local cooldown = {

	[GetSpell(159916)]  = { spellid = 159916, color = colors.CURSE },
}	

function SPTimers:SetupClassSpells()

	self.myCLASS = class
	
	return spells
end

function SPTimers:SetupClassCooldowns()

	self.myCLASS = class
	
	return cooldown
end